<template>
  <div class="process-panel">
    <div class="nodeName">
      <span class="title">{{$t('comments')}}</span>
    </div>
    <div class="comment-box">
      <div class="wrap-left">
        <!-- 意见 -->
        <div>
          <mt-field 
            class="copyOpinion"
            :placeholder="$t('fillComments')"
            maxlength="140"
            type="textarea" 
            rows="5" 
            v-model="attitude">
          </mt-field>
        </div>
      </div>
      <!-- 工具操作（右边） -->
      <div class="wrap-right-btn">
        <span @click="onSubmit" class="sign primary">
          {{$t('confirm')}}
        </span>
      </div>
    </div>
  </div>
</template>

<script>
import { Toast } from 'mint-ui';
export default {
  props: ["act","approvers"],
  data: function() {
    return {
      attitude: "",
    };
  },
  created() {
    this.getSuggest();
  },

  mounted() {
  
  },
  methods: {
    
    //获取返回的数据
    getSuggest() {
      this.$api.getCommonOpinions(this.$root.user.id, {
        onSucess: response => {
          this.allSuggests = response.data.data;
        }
      });
    },

    //提交
    onSubmit() {
      let attitude = this.attitude;
      let appId = this.$root.appid;
      let instanceId = this.approvers[0].instanceId;
      this.$api.review(appId, instanceId, attitude, {
        onSucess: response => {
          let status = ""
          if(response.data.errcode==0) {
            status = 'SUCCESS';
            this.$emit("action",status)
            //this.$parent.$parent.$parent.$parent.$parent.closeThePopup(status);
            Toast({
              message: response.data.data,
              iconClass: 'fa fa-check fa-2x'
            });
          }else if(response.data.errcode==4001){
            status = 'ERROR';
            this.$emit("action",status)
            this.$parent.$parent.$parent.$parent.$parent.closeThePopup(status);
            Toast({
              message: response.data.errmsg,
              iconClass: 'fa fa-close fa-2x'
            });
          }
        }
      });
    },
  }
};
</script>
<style lang="scss">
  .wrap-right-btn {
    width:22%;
    float:left;
    position: absolute;
    bottom:0;
    right:8px;
    .sign {
      display: block;
      text-align: center;
      height:32px;
      width:78px;
      line-height: 32px;
      background:rgba(246,246,246,1);
      border-radius:4px;
      margin-bottom: 8px;
    }
    .primary {
        background:rgba(73,123,236,1);
        color:white;
    }
  }
</style>